跳转到内容

Kling 4.0 Text to Video

集成

模型 id kling/v4/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $1.175 1,175 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Kling 文生视频 3–30 秒最高 1080p #text-to-video#multi-shot#cinematic#kling

纯文本视频生成,支持可选的逐镜头提示词,可生成 3 到 30 秒、分辨率为 720p 或 1080p 的视频片段

在 Doitong 上制作

Doitong 社区使用 Kling 4.0 制作的公开作品。一键复用提示词。

显示的公开作品:16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 视频

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 视频

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 视频

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 视频

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 视频

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 视频

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 视频

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 视频

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

88 / 2500

生成文本指令;请提供 `prompt` 或 `multi_prompt`。

resolution 默认 1080p

输出的分辨率。

aspect_ratio 默认 16:9

结果视频的宽高比。

默认 5

视频时长(秒),范围为 3 到 30。

高级 multi_prompt

逐镜头生成指令,每个提示词定义一个镜头,其时长计入视频总时长。

POST /run/kling/v4/text-to-video?wait=20 报价 → $1.175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Kling 4.0 Text to Video

根据最多 2500 个字符的文本提示词创建视频,不接受图像或视频输入。或者,`multi_prompt` 可为多镜头视频的每个镜头提供一个提示词,总时长为各镜头时长之和。`duration` 范围为 3 到 30 秒,默认值为 5。分辨率可选 720p 或 1080p,`aspect_ratio` 可选 16:9、9:16、1:1 或 21:9。

参数

名称类型 默认值允许值 描述
prompt可选
类型string | null
≤ 2,500 个字符
生成文本指令;请提供 `prompt` 或 `multi_prompt`。
multi_prompt可选
类型object[]
逐镜头生成指令,每个提示词定义一个镜头,其时长计入视频总时长。
multi_prompt[].prompt必填
类型string
1 – 512 characters
当前镜头的文本指令。
multi_prompt[].duration可选
类型integer
默认值5
1 – 30
单个镜头的时长,以秒为单位。
duration可选
类型integer
默认值5
3 – 30
视频时长(秒),范围为 3 到 30。
resolution可选
类型enum
默认值1080p
720p1080p
输出的分辨率。
aspect_ratio可选
类型enum
默认值16:9
16:99:161:121:9
结果视频的宽高比。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling/v4/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1175,
    "usd": "1.175",
    "charged": 1175,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}模型生成的视频。

更多模型:文生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/kling/v4/text-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt